#
# a simple plugin with memory-loss
# adds a status-field,does not remember settings after restart of daemon.

from deluge.log import LOG as log
from deluge.plugins.corepluginbase import CorePluginBase

class Core(CorePluginBase):    
    def enable(self):
        log.debug("*** START , HI!!!***")
        self.labels = {}
        # Register the 'label' status field
        self.plugin.register_status_field("label", self._get_label)        
        log.debug("Label plugin enabled..")
    
    def disable(self):
        # De-register the label field
        self.plugin.deregister_status_field("label")

    def update(self):
        pass
            
    ## Status field function ##
    def _get_label(self, torrent_id):
        #return label or empty string.
        return self.labels.get(torrent_id, '')
        
    ## Setter ##
    def export_set_label(self, torrent_id, label):
        log.debug("set label %s=%s" % (torrent_id, label))
        self.labels[torrent_id] = str(label)


